Docs Menu
Docs Home
/ /

Delete One Blockstore Configuration

Deletes the configuration of one blockstore.

Base URL: https://{OPSMANAGER-HOST}:{PORT}/api/public/v1.0/admin/backup

DELETE /snapshot/mongoConfigs/{BLOCKSTORE-ID}
Name
Type
Description

BLOCKSTORE-ID

string

Unique name that labels this blockstore configuration.

The following query parameters are optional:

Name
Type
Necessity
Description
Default

pretty

boolean

Optional

Flag indicating whether the response body is in a prettyprint format.

false

envelope

boolean

Optional

Flag that indicates whether to wrap the response in an envelope.

Some API clients cannot access the HTTP response headers or status code. To remediate this, set envelope=true in the query.

For endpoints that return one result, the response body includes:

  • status: HTTP response code

  • content: Expected response body

false

This endpoint doesn't use HTTP request body parameters.

This endpoint does not have response elements.

curl --user '{PUBLIC-KEY}:{PRIVATE-KEY}' --digest \
--include \
--request DELETE 'https://{OPSMANAGER-HOST}:{PORT}/api/public/v1.0/admin/backup/snapshot/mongoConfigs/{BLOCKSTORE-ID}'

This endpoint doesn't return a response body.

Back

Update

On this page